Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\Type\Update\Handler Class Reference

Base class for update handlers. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\Type\Update\Handler:

## Public Member Functions
| updateContentObjects (Type $fromType, Type $toType)
| Updates existing content objects from $fromType to $toType. More...
| deleteOldType (Type $fromType)
| Deletes $fromType and all of its field definitions. More...
| publishNewType (Type $toType, $newStatus)
| Publishes $toType to $newStatus. More...

## Detailed Description

Base class for update handlers.

Definition at line 14 of file Core/Persistence/Legacy/Content/Type/Update/Handler.php.

## Member Function Documentation

## ◆ deleteOldType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Update\Handler::deleteOldType | ( | Type | $fromType | ) |
| abstract

Deletes $fromType and all of its field definitions.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type | $fromType |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Update\Handler\DoctrineDatabase, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Update\Handler\DeferredLegacy.

## ◆ publishNewType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Update\Handler::publishNewType | ( | Type | $toType,
|  |  | $newStatus
| ) |  |
| abstract

Publishes $toType to $newStatus.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type | $toType |
  int | $newStatus |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Update\Handler\DoctrineDatabase, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Update\Handler\DeferredLegacy.

## ◆ updateContentObjects()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Update\Handler::updateContentObjects | ( | Type | $fromType,
|  | Type | $toType
| ) |  |
| abstract

Updates existing content objects from $fromType to $toType.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type | $fromType |
  \eZ\Publish\SPI\Persistence\Content\Type | $toType |

Reimplemented in eZ\Publish\Core\Persistence\Legacy\Content\Type\Update\Handler\DoctrineDatabase, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Update\Handler\DeferredLegacy.

The documentation for this class was generated from the following file:

- Core/Persistence/Legacy/Content/Type/Update/Handler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.